Subject: Re: bug#75146: [PATCH v0 00/15] XFCE: Move source from generated archive to git.

From: 宋文武 <[email-masked]>
Date: Mon, 30 Dec 2024 19:49:19 +0800

Ashvith Shetty <[email-masked]> writes:

> Hello,
>
> On Mon, Dec 30, 2024 at 2:49 AM 宋文武 <[email-masked]> wrote:
>
>> Hello, could you explain more about those inconsistency and missing
>> files?
>
> For example, Thunar's `make check` did not run tests for the archive, as 
> opposed to git as the source. Only after switching to git was I able to 
> catch how one of  the abicheck tests were broken. Now, this has been 
> resolved in a future version, but given how it would be highly unlikely to 
> catch these issues via archive as the source, I thought that it was better if 
> we made use of git instead.
>
>> Build from git is more expensive than tarballs, as it download
>> more and need more dependencies.
>
> Another issue with archive as the source is that the archive includes files that 
> have been generated on another system via the git repository. For git, since 
> we are building directly from the repo itself, I believe that it would be a right 
> pick. 

So switch from generated talballs to git sources will enable us to:
- run more tests
- test versions easier (with guix build --with-commit=...)
- trust more (generate manpages and gtk documents ourselves etc.)

I'll do some rework (split commits, adjust commit message) based on your
patches later, thanks!

> Or maybe we can switch to downloading the tag-specific archive from 
> git itself?

We shouldn't download tag-specific archive though, as they are unstable.

>
>> This package is still useful for GTK2 applications, we could update its
>> description and move it into 'gtk.scm' to avoid some confusions.
>
> From the data on Repology, it looks like this package has been removed 
> from most of the other distributions out there. I've also come across other 
> gtk2 engines that could be used in its place, like murrine, pixbuf and aurora.
>
> What do you think?

Okay, according to "Package removal" Deprecation Policy  (info guix), we
can remove this unmaintained 'gtk-xfce-engine' package one-month later.